plugindevelopment

## Class TypeInsertTester

- java.lang.Object
- - plugindevelopment.TypeInsertTester

- Direct Known Subclasses:
    MultipleTypesInsertTester, Tester

      public class TypeInsertTester
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static LoggerConfiguration` | `logConfig`
    `(package private) static java.lang.String` | `rootDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeInsertTester()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getFileContent(java.lang.String path)`
    `static void` | `test(java.lang.String sourceFileToInfere, java.lang.String solutionFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logConfig

          private static LoggerConfiguration logConfig

    - #### rootDirectory

          static final java.lang.String rootDirectory

  - ### Constructor Detail

    - #### TypeInsertTester

          public TypeInsertTester()

  - ### Method Detail

    - #### test

          public static void test(java.lang.String sourceFileToInfere,
                                  java.lang.String solutionFile)

    - #### getFileContent

          public static java.lang.String getFileContent(java.lang.String path)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`